/**
 * Container Instance API
 * A description of the Container Instance API
 * OpenAPI spec version: 20210415
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * A reduced set of details about a single ContainerInstance returned by list APIs.
 *
 */
export interface ContainerInstanceSummary {
    /**
     * Unique identifier that is immutable on creation
     */
    "id": string;
    /**
     * Display name for the ContainerInstance. Can be renamed.
     */
    "displayName": string;
    /**
     * Compartment Identifier
     */
    "compartmentId": string;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
     * Example: `{\"bar-key\": \"value\"}`
     *
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace.
     * Example: `{\"foo-namespace\": {\"bar-key\": \"value\"}}`
     *
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Usage of system tag keys. These predefined keys are scoped to namespaces.
     * Example: `{\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}`
     *
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Availability Domain where the ContainerInstance is running.
     */
    "availabilityDomain": string;
    /**
     * Fault Domain where the ContainerInstance is running.
     */
    "faultDomain"?: string;
    /**
     * The current state of the ContainerInstance.
     */
    "lifecycleState": string;
    /**
     * A message describing the current state in more detail. For example, can be used to provide
     * actionable information for a resource in Failed state.
     *
     */
    "lifecycleDetails"?: string;
    /**
     * The time the the ContainerInstance was created. An RFC3339 formatted datetime string
     */
    "timeCreated": Date;
    /**
     * The time the ContainerInstance was updated. An RFC3339 formatted datetime string
     */
    "timeUpdated"?: Date;
    /**
     * The shape of the Container Instance. The shape determines the resources available to the Container Instance.
     */
    "shape": string;
    "shapeConfig": model.ContainerInstanceShapeConfig;
    /**
     * The number of containers on this Instance Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "containerCount": number;
    /**
     * Duration in seconds processes within a Container have to gracefully terminate. This applies whenever a Container must be halted, such as when the Container Instance is deleted. Processes will first be sent a termination signal. After this timeout is reached, the processes will be sent a termination signal. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "gracefulShutdownTimeoutInSeconds"?: number;
    /**
     * The number of volumes that attached to this Instance Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "volumeCount"?: number;
    /**
     * Container Restart Policy
     */
    "containerRestartPolicy": string;
}
export declare namespace ContainerInstanceSummary {
    function getJsonObj(obj: ContainerInstanceSummary): object;
    function getDeserializedJsonObj(obj: ContainerInstanceSummary): object;
}
