/**
 * Full Stack Disaster Recovery API
 * Use the Full Stack Disaster Recovery (FSDR) API to manage disaster recovery for business applications.
FSDR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery
capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.

 * OpenAPI spec version: 20220125
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Properties for a Compute Instance member of a DR Protection Group.
 */
export interface DrProtectionGroupMemberComputeInstance extends model.DrProtectionGroupMember {
    /**
      * A flag indicating if this compute instance should be moved during DR operations.
  * <p>
  Example: `false`
  *
      */
    "isMovable"?: boolean;
    /**
     * A list of compute instance VNIC mappings.
     *
     */
    "vnicMapping"?: Array<model.ComputeInstanceVnicMapping>;
    /**
      * The OCID of the compartment for this compute instance in the destination region.
  * <p>
  Example: `ocid1.compartment.oc1..exampleocid`
  *
      */
    "destinationCompartmentId"?: string;
    /**
      * The OCID of the dedicated VM Host for this compute instance in the destination region.
  * <p>
  Example: `ocid1.dedicatedvmhost.oc1.iad.exampleocid`
  *
      */
    "destinationDedicatedVmHostId"?: string;
    "memberType": string;
}
export declare namespace DrProtectionGroupMemberComputeInstance {
    function getJsonObj(obj: DrProtectionGroupMemberComputeInstance, isParentJsonObj?: boolean): object;
    const memberType = "COMPUTE_INSTANCE";
    function getDeserializedJsonObj(obj: DrProtectionGroupMemberComputeInstance, isParentJsonObj?: boolean): object;
}
