/**
 *
 *
 * OpenAPI spec version: 20220421
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
import common = require("oci-common");
/**
 * @example Click {@link https://docs.cloud.oracle.com/en-us/iaas/tools/typescript-sdk-examples/2.63.0/adm/ListVulnerabilityAudits.ts.html |here} to see how to use ListVulnerabilityAuditsRequest.
 */
export interface ListVulnerabilityAuditsRequest extends common.BaseRequest {
    /**
     * A filter to return only resources that match the specified identifier.
     */
    "id"?: string;
    /**
     * A filter to return only resources that belong to the specified compartment identifier.
     */
    "compartmentId"?: string;
    /**
     * A filter to return only Vulnerability Audits that were created against the specified knowledge base.
     */
    "knowledgeBaseId"?: string;
    /**
     * A filter to return only successful or failed Vulnerability Audits.
     */
    "isSuccess"?: boolean;
    /**
     * A filter to return only Vulnerability Audits that match the specified lifecycleState.
     */
    "lifecycleState"?: string;
    /**
     * The sort order to use, either 'ASC' or 'DESC'.
     */
    "sortOrder"?: model.SortOrder;
    /**
     * The maximum number of items to return.
     */
    "limit"?: number;
    /**
     * A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response.
     */
    "page"?: string;
    /**
     * The client request ID for tracing.
     */
    "opcRequestId"?: string;
    /**
     * The field used to sort Vulnerability Audits. Only one sort order is allowed.
     * Default order for _maxObservedCvssV2Score_ is **ascending**.
     * Default order for _maxObservedCvssV3Score_ is **ascending**.
     * Default order for _maxObservedCvssV2ScoreWithIgnored_ is **ascending**.
     * Default order for _maxObservedCvssV3ScoreWithIgnored_ is **ascending**.
     * Default order for _timeCreated_ is **descending**.
     * Default order for _vulnerableArtifactsCount_ is **ascending**.
     * Default order for _vulnerableArtifactsCountWithIgnored_ is **ascending**.
     *
     */
    "sortBy"?: ListVulnerabilityAuditsRequest.SortBy;
    /**
     * A filter to return only resources that match the entire display name given.
     */
    "displayName"?: string;
}
export declare namespace ListVulnerabilityAuditsRequest {
    enum SortBy {
        MaxObservedCvssV2Score = "maxObservedCvssV2Score",
        MaxObservedCvssV3Score = "maxObservedCvssV3Score",
        TimeCreated = "timeCreated",
        VulnerableArtifactsCount = "vulnerableArtifactsCount",
        MaxObservedCvssV2ScoreWithIgnored = "maxObservedCvssV2ScoreWithIgnored",
        MaxObservedCvssV3ScoreWithIgnored = "maxObservedCvssV3ScoreWithIgnored",
        VulnerableArtifactsCountWithIgnored = "vulnerableArtifactsCountWithIgnored"
    }
}
